{
    "product-name": "C10",
    "version": "1.0.0",
    "toolchain":"$PRODUCT_ROOT_DIR/buildtools/cmake/gcc-linaro-7.5.0-2019.12-x86_64_arm-linux-gnueabihf.cmake",
    "build-mode": "Debug",
    "cxxflags" : "-fPIC -std=gnu++14 -Wno-error=implicit-function-declaration -Wno-error=int-conversion",
    "cflags":"-O3 -fPIC -Wunused-result -Wno-error=implicit-function-declaration -Wno-error=int-conversion",
    "modules":[
        {
            "name": "jsoncpp",
            "options": [],
            "exports": ["JSONCPP_INCLUDE_DIR=$PRODUCT_ROOT_DIR/thirdparty/jsoncpp/include"]
        },
        {
            "name": "openssl",
            "exports":["OPENSSL_ROOT_DIR=$PRODUCT_BUILD_DIR/thirdparty/openssl"]
        },
        {
            "name": "mbedtls"
        },
        {
            "name": "json-c"
        },
        {
            "name": "zlib",
            "exports":["zlib_INCLUDE_DIR=$PRODUCT_INSTALL_DIR/zlib/include"]
        },
        {
            "name": "SQLiteCpp",
            "exports":["SQLITECPP_INCLUDE_DIR=$PRODUCT_ROOT_DIR/thirdparty/SQLiteCpp/include"]
        },
        {
            "name": "tinyxml2"
        },
        {
            "name": "libuv"
        },
        {
            "name":"googletest",
            "exports":["GTest_DIR=$PRODUCT_INSTALL_DIR/googletest/lib/cmake/GTest"]
        },
        {
            "name":"libevent",
            "options":["EVENT_LIBRARY_SHARED=OFF", "LIBEVENT_STATIC_LINK=ON", "EVENT__DISABLE_TESTS=ON", "EVENT__DISABLE_SAMPLES=ON", "EVENT__DISABLE_BENCHMARK=ON"]
        },
        {
            "name":"xfrpc"
        },
        {
            "name": "protobuf",
            "options":["protobuf_BUILD_TESTS=OFF", "ABSL_PROPAGATE_CXX_STD=ON"],
            "exports":[
                "PROTOC_DIR=$PRODUCT_BUILD_DIR/thirdparty/protobuf",
                "PROTOBUF_INCLUDE_DIR=$PRODUCT_ROOT_DIR/thirdparty/protobuf/src;$PRODUCT_ROOT_DIR/thirdparty/protobuf/third_party/abseil-cpp"
            ]
        },
        {
            "name":"grpc",
            "options":[
                "gRPC_USE_PROTO_LITE=ON",
                "gRPC_BUILD_GRPC_CSHARP_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_OBJECTIVE_C_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_PHP_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_PYTHON_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_RUBY_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_NODE_PLUGIN=OFF",
                "gRPC_BUILD_GRPC_CPP_PLUGIN=OFF",
                "gRPC_BUILD_CODEGEN=OFF",
                "gRPC_BUILD_TESTS=OFF",
                "ABSL_RUN_TESTS=OFF",
                "gRPC_ZLIB_PROVIDER=package",
                "gRPC_ABSL_PROVIDER=package",
                "gRPC_PROTOBUF_PROVIDER=package",
                "gRPC_SSL_PROVIDER=package"
            ]
        }
    ]
}